classification
Title: Update devguide to cover testing from a tarball
Type: enhancement Stage: needs patch
Components: Devguide Versions: Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.araujo, ezio.melotti, larry, r.david.murray, rbcollins, willingc
Priority: normal Keywords:

Created on 2014-03-04 14:47 by brett.cannon, last changed 2016-07-22 19:49 by brett.cannon. This issue is now closed.

Messages (8)
msg212722 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-03-04 14:47
Nick Coghlan brought up the fact that with Larry Hastings doing periodic tarball dumps for the 3.4.0 release it would be good to make sure instructions on how to actually test from a tarball were in the devguide.
msg241768 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-04-22 04:12
Brett, Is documentation for a testing a tarball dumped for an RC still needed? 

If so, are the following steps accurate?

1. Download tarball
2. Extract tarball into a directory
   tar -xzvf release.tar.gz
3. Change directory into release directory
   cd release
4. Install the release
   sudo python setup.py install

My assumption: After installation above, testing should be similar to the existing devguide instructions for testing.

Thoughts?
msg241810 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-04-22 15:08
I don't know if Larry is planning to do tarball releases for 3.5 (added him to the nosy to see).

As for the install step, it would be best to suggest people install to a temp directory so they don't accidentally end up with a beta release stuck on their machines, e.g. `make --prefix=/tmp/cpython`.
msg241820 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-04-22 18:09
I don't plan on doing tarball-only drops during the 3.5 beta/rc period like I did during 3.4.  However, when I do a release (e.g. 3.5.0a4), I release Windows binaries (built by Steve Dower), OS X binaries (built by Ned Deily), and source in tarballs.  If you're on anything but Windows or OS X you have to build it yourself, from a tarball.  So it probably makes sense to have instructions in the dev guide on how to do it.
msg249021 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-08-23 21:16
Possibly silly q: how does one /make/ a Python release tarball? 'make dist' which is the autoconf standard complains that it has no such target...
msg249024 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-08-23 22:21
How to do it is part of PEP 101 (https://www.python.org/dev/peps/pep-0101/).
msg249026 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-08-23 22:47
To make the tarballs, I use the "release.py" script from here:

https://hg.python.org/release

and run "release.py --export <versionnumber>".  I haven't peeked inside the black box to see how the sausage is made.
msg271016 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-22 19:49
I don't think this is worth doing.
History
Date User Action Args
2016-07-22 19:49:21brett.cannonsetstatus: open -> closed
resolution: rejected
messages: + msg271016
2015-08-23 22:47:49larrysetmessages: + msg249026
2015-08-23 22:21:38r.david.murraysetnosy: + r.david.murray
messages: + msg249024
2015-08-23 21:16:39rbcollinssetnosy: + rbcollins
messages: + msg249021
2015-04-22 18:09:39larrysetmessages: + msg241820
2015-04-22 15:08:54brett.cannonsetnosy: + larry
messages: + msg241810
2015-04-22 04:12:46willingcsetnosy: + willingc
messages: + msg241768
2014-05-09 12:55:10ezio.melottisettype: enhancement
stage: needs patch
2014-03-07 21:42:09eric.araujosetnosy: + eric.araujo
2014-03-04 14:47:12brett.cannoncreate